<?php
$title = 'История авторизаций';
require ('../core/sys.php');
require ('../core/head.php');
if(!isset($user)){
header('Location: /');
exit;
}
?><div class="col-md-6 mt-4">
					<h3><?=$title?></h3>
				</div>
				<div class="row"><?
$k = $db->prepare("SELECT * FROM `history_logs` WHERE `us` = '".$user['id']."' ");
$k->execute();
$k_post = $k->rowCount();
$max = 10;
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$all = $db->prepare("SELECT * FROM `history_logs` WHERE `us` = '".$user['id']."' ORDER BY `id` DESC LIMIT $start, $max");
$all -> execute();
$all = $all -> fetchAll();
if(is_array($all)){
foreach($all as $a){
$who = array('1' =>'Форма авторизации','2' => 'Cookie браузера');
$err = array('1' => '<font color="red">Неудачная авторизация</font>','0' => '<font color="green">Удачная авторизация <i>('.$who[$a['who']].')</i></font>');
$err = $err[$a['err']];
echo '<div class="col-md-6 mt-4">
<div class="card">
<div class="card-body">
<b>Время посещения:</b> '.vremja($a['time']).'</b><br /><b>IP :</b> '.$a['ip'].' <img src="http://wo-ip.ru/ip/'.$a['ip'].'.png" alt="'.$a['ip'].'"><br/><b>Soft :</b> '.$a['soft'].'<br /><b>'.$err.'</b>

</div></div></div>';

}
}
if($k_post == 0){
?><div class="col-md-12 mt-4">
<div class="card">
<div class="card-body"> Пусто </div></div></div><?
}
echo '</div>';
if($k_page >1){
echo str('/auth_who.aspx',$k_page,$page);
}
require ('../core/foot.php');
?>